#include "picsys18.h"
#include <stdlib.h>
#include <string.h>

void
setup()
{
    CLCD_initDefault() ;

    CLCD_putrs("Hello! MicroFan") ;
    CLCD_setCursor(3, 1) ;
    CLCD_putrs("PICSYS18-XBEE") ;
	
    analogReference(EXTERNAL) ; // 2.5V電圧リファレンスの利用
	
    delayMilliseconds(3000) ; // タイトルクレジットを見てね
}

void
loop()
{
    int v ;
    float temp ; // 温度の計算は実数で

    CLCD_clear() ;
	
    // 明るさセンサー
    v = analogRead(PHOTO_SENSOR) ;
    CLCD_setCursor(0, 0) ;
    CLCD_putrs("\261\266\331\273 ") ; // アカルサ
    CLCD_puti(v) ;

    // 温度センサー
    v = analogRead(TEMP_SENSOR) ;
    temp = 2.5 / 1024 * v ;  // 読み取った値を電圧に換算
    temp -= 0.4 ;  // 温度センサーの0度のオフセット:400mV
    temp /= 0.01953 ; // １度あたり19.53mVの電圧増加

    CLCD_setCursor(0, 1) ;
    CLCD_putrs("\265\335\304\336 ") ; // オンド
    CLCD_putf(temp, 1) ;
    CLCD_putrs("\337C") ; // 度C

    delayMilliseconds(500) ;
}
